Subject: [keyassure] ODI should not include object type

From: Matt McCutchen <[email-masked]>
Date: Sat, 08 Jan 2011 09:58:52 -0500

AIUI, an ODI is a stand-in for the object itself via a hash algorithm.
And ASN.1 objects are not self-typing.  Therefore, I do not think the
object type belongs in ODIs either.  Self-typing, if desired, is a
purpose orthogonal to hashing.

In the DANE draft, the expected object type (i.e., PKIX certificate) is
known from context.  And that must be so for the sake of the
"certificate type" values 2 and 4 that embed the object without
additional metadata.  So having the object type in ODIs is not helpful
to DANE.

Removing the object type will help make the overhead of ODIs more
reasonable.

-- 
Matt